/*----------------------------------------------------------File: posdefs.h---*/
/******************************************************************************/
/*                                                                            */
/*                                                                            */
/*                              Vartalaap                                     */
/*----------------------------------------------------------------------------*/
/*                  Multimedia Multiparty  Conferencing System                */
/*									      */
/*                                                                            */
/*                  Written by:VIJAY TALATI                                   */
/*                             ERNet Lab,                                     */
/*                             Department of Computer Science,                */
/*                             Indian Institute of Technology, Bombay 400076. */
/*                             E-mail : vijay@gateway.iitb.ernet.in           */
/*									      */
/******************************************************************************/
/* This file contains the sizes and positons definitions of various
	xview objects */

#define	BASE_WIDTH	400
#define	BASE_HEIGHT	400

#define	BASE_X		200
#define	BASE_Y		100

#define	LOGO_WIDTH	64
#define	LOGO_HEIGHT	64

#define	ICON_X		100
#define	ICON_Y		100


#define	GBOX_WIDTH	400
#define	GBOX_HEIGHT	800
#define	GB_OFFSET	10
#define	GB_X_MULT	10
#define	GB_Y_MULT	20

#define	BTN_PNL_HEIGHT	30

#define	SND_X		0
#define	SND_Y		30
#define	SND_HEIGHT	170
#define	SND_WIDTH	400

#define	RCV_X		0
#define	RCV_Y		210
#define	RCV_WIDTH	400
#define	RCV_HEIGHT	170

#define	DISPLAY_NAME_LENGTH	50
#define	MAX_FILENAME_LEN	50

#define	UL_BASE_WIDTH	200
#define	UL_BASE_HEIGHT	225
#define	UL_LABEL	"Participants"
#define	UL_TEXT_HEIGHT	200
#define	UL_TEXT_WIDTH	200
#define	U_PNL_X		0
#define	U_PNL_Y		202
#define	UL_TEXT_X	0
#define	UL_TEXT_Y	0

#define	HBASE_X		50	
#define	HBASE_Y		50
#define	HBASE_WIDTH	300
#define	HBASE_HEIGHT	225
#define	HIST_LABEL	"What was happening in  Group#"
#define	HIST_HEIGHT	200
#define	HIST_WIDTH	300
#define	HIST_X		0
#define	HIST_Y		0
#define	H_PNL_X		0
#define	H_PNL_Y		202
#define	HIST_LABEL_LEN	100

#define	IFNAME_HEIGHT	30
#define	IFNAME_WIDTH	300
#define	IFNAME_DISPLAY_LEN	20
#define	IFRM_HEIGHT	400
#define	IFRM_WIDTH	400
#define	ICANVAS_HEIGHT	400
#define	ICANVAS_WIDTH	400

#define	BBFRM_HEIGHT	600
#define	BBFRM_WIDTH	650
#define	BBFRM_X		420
#define	BBFRM_Y		40

#define	UWC_HEIGHT	160	
#define	UWC_WIDTH	1000
#define	INFO_HEIGHT	160
#define	INFO_WIDTH	70
#define	MAX_WIDTH_OF_SCREEN	1000	/* Check */
#define	MAX_HEIGHT_OF_SCREEN	900

/*---------------------------------------------------------End of posdefs.h---*/
