/*------------------------------------------------------queue.c--------------*/
/******************************************************************************/
/*                                                                            */
/*                                                                            */
/*                                Vartalaap                                   */
/*----------------------------------------------------------------------------*/
/*                     Multimedia Conferencing Software                       */
/*                                                                            */
/*                                                                            */
/*        Written by:                                                         */
/*                        Yezdezard Lashkari                                  */
/*                        Viswanath Ramachandran                              */
/*                        Sanjay Malpani                                      */
/*                 and                                                        */
/*                        Vijay Talati                                        */
/*                                                                            */
/*                                                                            */
/*                Department of Computer Science and Engineering              */
/*                Indian Institute of Technology, Bombay 400076.              */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/

#include	"../common/inc.h"
#include	"../common/protodefs.h"

#define	EXTERN	extern

#include 	"clientlib.h"

/**************************************************************/

/* function to set all the Q pointers to NULL to start with */
/***********DELETE THIS
void init_Q()
{
	int i;

	ENTER_PROC("init_Q");

	for (i = 0 ; i < VNGROUPS ; i++) 
	{
		L_Queue[i].Qptr = NULL;
		L_Queue[i].Qhead = 0;
		L_Queue[i].Qnumin = 0;
	}

	LEAVE_PROC("init_Q");
}
********************/
/**********************************************************************/

/******to check if client has joined the grp */

Status	IsMember(id)
int	id;
{
	ENTER_PROC("IsMember");

	if ((id<0) || (id>=VNGROUPS) )  /*WORKHERE*/ 
		return(FAILURE);

	else
		return(SUCCESS);
}

/*------------------------------------------------------End of queue.c---------*/
