/*------------------------------------------------------ex_routines.h---------*/
/******************************************************************************/
/*                                                                            */
/*                                                                            */
/*                                Vartalaap                                   */
/*----------------------------------------------------------------------------*/
/*                     Multimedia Conferencing Software                       */
/*                                                                            */
/*                                Version 1.0                                 */
/*                                                                            */
/*        Written by:                                                         */
/*                        Yezdezard Lashkari                                  */
/*                        Viswanath Ramachandran                              */
/*                        Sanjay Malpani                                      */
/*        Modified by :                                                       */
/*                        Vijay Talati                                        */
/*                                                                            */
/*                                                                            */
/*                Department of Computer Science and Engineering              */
/*                Indian Institute of Technology, Bombay 400076.              */
/*                                                                            */
/******************************************************************************/

extern	char	*Calloc() ;
extern	char	*Malloc() ;
extern	void	Free ()	 ;

extern	FD	CreateWellKnownSocket () ;
extern	FD	CreateWellKnownAuSocket () ;
extern	FD	CreateWellKnownPort () ;
extern	FD	CreateWellKnownAuPort () ;
extern	void	ScanArgs ();
extern	void	SetSignalHandling ();
extern	void	AddFD ();
extern	void	RemoveFD ();

extern	Status	DistribSocks ();

extern	char	*getenv () ; 

extern	Status	mk_new_user () ;
extern	Status	clean_rm_proc () ;
